TCK Results
===========

As required by the
[Eclipse Foundation Technology Compatibility Kit License](https://www.eclipse.org/legal/tck.php),
following is a summary of the TCK results for releases of Jakarta Activation.

# 2.0.1 Certification Request

- [x] Organization Name ("Organization") and, if applicable, URL<br>
  [Eclipse Foundation](https://www.eclipse.org/)
- [x] Product Name, Version and download URL (if applicable)<br>
  [EE4J implementation of Jakarta Activation 2.0.1](https://github.com/eclipse-ee4j/jaf)
- [x] Specification Name, Version and download URL<br>
   [Jakarta Activation](https://jakarta.ee/activation/2.0)
- [x] TCK Version, digital SHA-256 fingerprint and download URL<br>
  [Jakarta Activation TCK 2.0.0](https://download.eclipse.org/jakartaee/activation/2.0/jakarta-activation-tck-2.0.0.zip), SHA-256: 98b7aad6d37cfa2eaa45ef7d182e56043a29b56ffd031a25e84e1dd2cb238f8f
- [x] Public URL of TCK Results Summary<br>
  [TCK results summary](https://eclipse-ee4j.github.io/jaf/TCK-Results.html)
- [x] Any Additional Specification Certification Requirements<br>
  None
- [x] Java runtime used to run the implementation<br>
  Oracle JDK 1.8.0_251, Oracle JDK 11.0.10
- [x] Summary of the information for the certification environment, operating system, cloud, ...<br>
  Linux
- [x] By checking this box I acknowledge that the Organization I represent accepts the terms of the [EFTL](https://www.eclipse.org/legal/tck.php).
- [x] By checking this box I attest that all TCK requirements have been met, including any compatibility rules.

Test results:

```
[javatest.batch] ***************************************************************
[javatest.batch] Completed running 90 tests.
[javatest.batch] Number of Tests Passed      = 90
[javatest.batch] Number of Tests Failed      = 0
[javatest.batch] Number of Tests with Errors = 0
[javatest.batch] Number of Tests Not Run     = 0
[javatest.batch] ---------------------------------------------------------------
```

# 2.0.0 Certification Request

- [x] Organization Name ("Organization") and, if applicable, URL<br>
  [Eclipse Foundation](https://www.eclipse.org/)
- [x] Product Name, Version and download URL (if applicable)<br>
  [EE4J implementation of Jakarta Activation 2.0.0](https://github.com/eclipse-ee4j/jaf)
- [x] Specification Name, Version and download URL<br>
   [Jakarta Activation](https://jakarta.ee/activation/2.0)
- [x] TCK Version, digital SHA-256 fingerprint and download URL<br>
  [Jakarta Activation TCK 2.0.0](https://download.eclipse.org/jakartaee/activation/2.0/jakarta-activation-tck-2.0.0.zip), SHA-256: 98b7aad6d37cfa2eaa45ef7d182e56043a29b56ffd031a25e84e1dd2cb238f8f
- [x] Public URL of TCK Results Summary<br>
  [TCK results summary](https://eclipse-ee4j.github.io/jaf/TCK-Results.html)
- [x] Any Additional Specification Certification Requirements<br>
  None
- [x] Java runtime used to run the implementation<br>
  Oracle JDK 1.8.0_191
- [x] Summary of the information for the certification environment, operating system, cloud, ...<br>
  Linux
- [x] By checking this box I acknowledge that the Organization I represent accepts the terms of the [EFTL](https://www.eclipse.org/legal/tck.php).
- [x] By checking this box I attest that all TCK requirements have been met, including any compatibility rules.

Test results:

```
[javatest.batch] Total time = 45s
[javatest.batch] Setup time = 0s
[javatest.batch] Cleanup time = 0s
[javatest.batch] Test results: passed: 90
```

# 1.2.2 Certification Request

- [x] Organization Name ("Organization") and, if applicable, URL<br>
  [Eclipse Foundation](https://www.eclipse.org/)
- [x] Product Name, Version and download URL (if applicable)<br>
  [EE4J implementation of Jakarta Activation 1.2.2](https://github.com/eclipse-ee4j/jaf)
- [x] Specification Name, Version and download URL<br>
   [Jakarta Activation](https://jakarta.ee/activation/1.2)
- [x] TCK Version, digital SHA-256 fingerprint and download URL<br>
  [Jakarta Activation TCK 1.2.0](https://download.eclipse.org/jakartaee/activation/1.2/jakarta-activation-tck-1.2.0.zip), SHA-256: 8a2ccba45790f26ef873fc1160cb7795ec4346b17a9dc9687378cbff1b965787
- [x] Public URL of TCK Results Summary<br>
  [TCK results summary](https://eclipse-ee4j.github.io/jaf/TCK-Results.html)
- [x] Any Additional Specification Certification Requirements<br>
  None
- [x] Java runtime used to run the implementation<br>
  Oracle JDK 1.8.0_191
- [x] Summary of the information for the certification environment, operating system, cloud, ...<br>
  Linux
- [x] By checking this box I acknowledge that the Organization I represent accepts the terms of the [EFTL](https://www.eclipse.org/legal/tck.php).
- [x] By checking this box I attest that all TCK requirements have been met, including any compatibility rules.

Test results:

```
[javatest.batch] Completed running 90 tests.
[javatest.batch] Number of Tests Passed      = 90
[javatest.batch] Number of Tests Failed      = 0
[javatest.batch] Number of Tests with Errors = 0
[javatest.batch] Number of Tests Not Run     = 0
```
